package com.gyf.csams

import io.ktor.application.*
import io.ktor.response.*
import io.ktor.routing.*
import org.jetbrains.exposed.sql.transactions.transaction
import org.slf4j.LoggerFactory

private val logger = LoggerFactory.getLogger(Application::class.java)

fun Application.TestController(){
    routing {
        get("$ApiPathPrefix/test"){
            transaction {
                logger.info("查询到个${User.count()}用户")
            }
            call.respond(ApiResponse(message = "成功连接服务端",body=true))
        }
    }
}